
# Graph of the same two data points using different y-axis ranges.

axis.ranges <- function(

	# data to show. labels 
	data=c(
		"our own\ncompound"=22, 
		"competitor\ncompound"=21
	),

	# y-axis ranges to show
	ranges=list(
		"one"=c(20.4, 22.2),
		"two"=c(20.8, 22.2),
		"three"=c(0,  22.2)
	)
)
{
	library(lattice)

	ngraphs <- length(ranges)

	par(mfrow=c(1, length(ranges)))
	for(i in 1:length(ranges))
	{
		ymin <- min(ranges[[i]])
		x2 <- data-ymin # shift data to manipulate labels

		col <- trellis.par.get("superpose.polygon")$col
		col <- 3:2
		barplot(x2, ylim=ranges[[i]]-ymin, axes=F, col=col)

		# y-axis (shifted)
		y.lab <- pretty(c(ranges[[i]], data))
		y.at  <- y.lab - ymin
		y.lab <- format(y.lab)
		axis(2, at=y.at, lab=y.lab, las=1)
	}
		
}
