
# Generate a default graph title (main="...") for the Emax function

Emax.main <- function(model, 
	xvar="undefined xvar", yvar="undefined yvar", 
	alpha="undefined alpha", 
	E0="undefined E0", EC50="undefined EC50", Emax="undefined Emax", 
	gamma="undefined gamma",
	include.E0="undefined include.gamma", 
	include.gamma="undefined include.gamma", 
	bs.n="undefined bs.n"	# no of bootstrap samples
)
{
	main <- switch(model,
		"Emax"=paste(yvar, "= Emax(", xvar, " | ", 
			if(include.E0) "E0, ",
			"EC50, Emax",
			if(include.gamma) ", gamma",
			")", "\n",
			"Fit and ", 100*max(1-alpha, alpha), "%CI, ", bs.n, 
				" bootstrap samples",
			sep=""),
		"linear1"=paste(yvar, "= b*", xvar, "\n",
			"Fit and ", 100*max(1-alpha, alpha), "%CI, ", bs.n, 
				" bootstrap samples",
			sep=""),
		"linear2"=paste(yvar, "= a+b*", xvar, "\n",
			"Fit and ", 100*max(1-alpha, alpha), "%CI, ", bs.n, 
				" bootstrap samples",
			sep=""),
		"loglinear1"=paste(yvar, "= b*log(", xvar, ")", "\n",
			"Fit and ", 100*max(1-alpha, alpha), "%CI, ", bs.n, 
				" bootstrap samples",
			sep=""),
		"loglinear2"=paste(yvar, "= a+b*log(", xvar, ")", "\n",
			"Fit and ", 100*max(1-alpha, alpha), "%CI, ", bs.n, 
				" bootstrap samples",
			sep=""),
		stop("Undefined model ", model)
	)

	return(main)
}

