
# Simulate an example data set to be used as default data for illustration.

# Note: the response is NOT a direct function of the concentration but just made up.

Emax.simdata <- function(n=150, seed=4245)
{
	set.seed(seed)	# random number initialization

	if(n%%3 != 0)
		stop("Number of simulated records should be a multiple of 3 (3 dose groups).")

	data <- data.frame(
		concentration=1:n + rlnorm(n, 0, 0.01),
		response=1.0 + 1.0 * 1:n/(1:n+50) + rnorm(n, 0, 0.1),
		dose=rep(c(50, 100, 200), rep(round(n/3), 3))
	)

	return(data)
}
