
Emax.test <- function(E0=1, Emax=2, gamma=3, EC50=7,
		x=1:20,
		y=seq(E0, E0+Emax, length=10)
)
{

	Emax.fun <- function(C)
		E0 + Emax*(C^gamma/(C^gamma + EC50^gamma))

	Emax.inv <- function(y)
	{
		Q <- (y-E0)/Emax
		exp(log(EC50) - log(1/Q - 1) / gamma)
	}

	cat("x-values:\n")
	print(x)
	cat("inv(Emax(x)):\n")
	print(z1 <- Emax.inv(Emax.fun(x)))

	cat("Numerical difference:\n")
	print(z1 - x)

	cat("\ny-values:\n")
	print(y)
	cat("Emax(inv(y)):\n")
	print(z2 <- Emax.fun(Emax.inv(y)))

	cat("Numerical difference:\n")
	print(z2-y)

	return(invisible())
}

