
# Derive x-axis default limits for the Emax function.

Emax.xlim <- function(x, logscale, npoints=12,
	extra.space=0.025	# add extra space left and right (in percent)
)
{
	if(logscale) 
		xlim <- range(pretty(log10(x), n=npoints))
     else 
		xlim <- range(pretty(x, n=npoints))

	expand <- extra.space * (max(xlim)-min(xlim))

	xlim <- xlim + c(-1, 1)*expand

	return(xlim)
}

