# Read safety data from file, derive abs and rel diff btw active and placebo.
# Return table.

safety.data.get <- function(
	file="safety.barchart.dat"
)
{
	# ---
	# Error check

	if(!file.exists(file))
		stop("File not found: ", file)

	# ---
	# Read data

	x <- read.table(file, header=T, sep="\t")

	# ---
	# Add derived variables

	x[["abs. diff."]] <- x$active - x$placebo
	x[["rel. diff. (%)"]] <- round(100*(x$active - x$placebo) / x$placebo)

	# ---
	# The End.

	return(x)
}

